#include "favorititem.h"
#include <define.h>

FavoritItem::FavoritItem()
{
    m_id = 0;
    m_vatType = Enums::NONE;
    m_unitPrice = 0;
}

int FavoritItem::id()
{
    return m_id;
}

void FavoritItem::setId(int id)
{
    m_id = id;
}

QString FavoritItem::name()
{
    return m_name;
}

void FavoritItem::setName(const QString &name)
{
    m_name = name;
}

QDecDouble FavoritItem::unitPrice()
{
    return TO_DEC(m_unitPrice);
}

void FavoritItem::setUnitPrice(QDecDouble unitPrice)
{
    m_unitPrice = FROM_DEC(unitPrice);
}

Enums::VatType FavoritItem::vatType()
{
    return m_vatType;
}

void FavoritItem::setVatType(const Enums::VatType &vatType)
{
    m_vatType = vatType;
}

QString FavoritItem::pluginId()
{
    return m_pluginId;
}

void FavoritItem::setPluginId(const QString &pluginId)
{
    m_pluginId = pluginId;
}

QString FavoritItem::favButtonName() const
{
    return m_favButtonName;
}

void FavoritItem::setFavButtonName(const QString &favButtonName)
{
    m_favButtonName = favButtonName;
}
